Name:       hanthana-config
Version:    20.0
Release:    0%{?dist}
Summary:    Hanthana Configuration Customizations

Group:      System Environment/Base
URL:        http://hanthana.org/
Source0:    %{name}-%{version}.tar.bz2
License:    GPLv2+
BuildArch:  noarch

# for gnome default background
Requires:   gsettings-desktop-schemas

# for touchpad settings
Requires:   gnome-settings-daemon

%description
This package contains Hanthana specific user configuration.


%prep
%setup -q

%build

%install

# install config schemas
mkdir -p %{buildroot}%{_datadir}/glib-2.0/schemas
install -p -m 644 schemas/* %{buildroot}%{_datadir}/glib-2.0/schemas/

%posttrans
glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :


%postun
if [ $1 -eq 0 ]; then
  glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi


%files
%{_datadir}/glib-2.0/schemas/*desktop*
%{_datadir}/glib-2.0/schemas/*settings*
%{_datadir}/glib-2.0/schemas/*clock*
%{_datadir}/glib-2.0/schemas/*calendar*
%{_datadir}/glib-2.0/schemas/org.gnome.shell.gschema.override

%changelog

* Fri Jul 27 2012 Danishka Navin <danishka@gmail.com> - 17.0-5
- fixed extesion enabling

* Sun Jul 22 2012 Danishka Navin <danishka@gmail.com> - 17.0-2
- fixed macro issues

* Thu Jun 28 2012 Danishka Navin <danishka@gmail.com> - 17.0-1
- Initial version with  initial configuration

